Skip to main content
POST
/
purge
Purge URL
curl --request POST \
  --url https://api.bunny.net/purge \
  --header 'AccessKey: <api-key>'
import requests

url = "https://api.bunny.net/purge"

headers = {"AccessKey": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {AccessKey: '<api-key>'}};

fetch('https://api.bunny.net/purge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

AccessKey
string
header
required

API Access Key authorization header

Query Parameters

url
string | null
required

The URL that will be purged from cache.

async
boolean
default:false

(Optional) Determines if the call should wait for the purge logic to complete

exactPath
boolean
default:false

(Optional) When true and the URL ends with '/', purges only the exact path without adding a wildcard suffix. Only applies when the pull zone has IgnoreQueryStrings disabled.

Response

The purge request was successfully processed.

Last modified on July 9, 2026